/*
Theme Name:   Lemur
Description:  For chill use
Author:       kunu
Template:     blankslate
Version:      1
*/

/* CSS Variables
---------------------------------------------------------------------------------------------------- */

/* Root Varibales
--------------------------------------------- */

:root {
  --header-text-color: hsl(0, 0%, 10%);
  --body-text-color: hsla(0, 0%, 10%, 0.94);
  --brand-color: #20ab1d;
  --border-color: hsla(0, 0%, 10%, 0.16);
  --bullet-color: hsla(0, 0%, 10%, 0.38);
  --bg-gray-color: #fafafa;

  --ff-base: "Inter", sans-serif;
  --ff-heading: "Parkinsans", sans-serif;

  --fs-primary: 18px;
  --fs-secondary: 14px;
  --fs-1: 34px;
  --fs-2: 26px;

  @media only screen and (min-width: 568px) {
    --fs-1: 38px;
  }

  --fw-light: 300;
  --fw-normal: 400;
  --fw-medium: 510;
  --fw-semibold: 590;
  --fw-bold: 680;

  --lh-tight: 1.25;
  --lh-base: 1.5;

  --space-2xs: 10px;
  --space-xs: 16px;
  --space-s: 20px;
  --space-base: 30px;
  --space-m: 40px;
  --space-l: 50px;
  --space-xl: 60px;
  --space-2xl: 80px;
  --space-3xl: 120px;

  --space-section-s: 60px;
  --space-section-m: 80px;
  --space-section-base: 100px;
  --space-section-l: 120px;
  --space-section-xl: 140px;
  --space-section-2xl: 160px;

  --layout-max-width: 800px;
  --layout-x-padding: 16px;

  --z-negative: -1;
  --z-elevate: 1;
  --z-sticky: 100;

  --transition: 0.1s ease;
  --transition-slow: 0.2s ease;
}

/* defaults
---------------------------------------------------------------------------------------------------- */

/* fonts
--------------------------------------------- */

@font-face {
  font-display: swap;
  font-family: 'Inter';
  font-style: normal;
  font-weight: 100 900;
  src: url();
}

@font-face {
  font-display: swap;
  font-family: 'Parkinsans';
  font-style: normal;
  font-weight: 300 800;
  src: url();
}

/* Typographical Elements
--------------------------------------------- */

body {
  color: var(--body-text-color);
  font-family: var(--ff-base);
  font-size: var(--fs-primary);
  line-height: var(--lh-base);
}

a {
  color: var(--brand-color);
  text-decoration: none;
}

.entry-content a:not(.button):not(.more-link):not(.wp-block-button__link) {
  border-bottom: 2px solid var(--brand-color);
  color: #000;
  text-decoration: none;
}

p {
  margin: 0 0 1.5em;
}

ol,
ul {
  margin: 0;
  padding: 0;
}

li {
  list-style-type: none;
}

b,
strong {
  font-weight: var(--fw-semibold);
}

mark.has-vivid-green-cyan-color {
  color: var(--brand-color) !important;
}

blockquote {
  border-left: 5px solid var(--brand-color);
  font-style: normal;
  padding: 0 0 0 20px;
}

/* headings
--------------------------------------------- */

h1,
h2,
h3,
h4,
h5,
h6 {
  color: var(--header-text-color);
  font-family: var(--ff-heading);
  font-weight: var(--fw-semibold);
  margin: 0 0 var(--space-s);
}

h1,
h2 {
  font-size: var(--fs-1);
}

h3 {
  font-size: var(--fs-2);
}

h4 {
  font-size: var(--fs-primary);
}

h5 {
  font-size: var(--fs-secondary);
}

.entry-content h2,
.entry-content h3,
.entry-content h4,
.entry-content h5,
.entry-content h6 {
  margin-top: var(--space-2xl);
}

/* Margin & Padding
--------------------------------------------- */

h1.entry-title,
h2 {
  margin-bottom: var(--space-l);
}

img {
  margin-bottom: 25px;
}

.entry-content .pk-section {
  padding-top: var(--space-section-base);
  padding-bottom: var(--space-section-l);
}

.entry-content .pk-section:first-of-type {
  padding-top: var(--space-s);
  padding-bottom: var(--space-section-m);
}

.entry-content .pk-section:last-of-type {
  padding-top: 0 !important;
}

.pk-section h2,
.pk-section h3 {
  margin-top: 0;
}

.destroy-margin>*,
.destroy-margin * {
  margin-top: 0 !important;
  margin-bottom: 0 !important;
}

/* Structure and Layout
---------------------------------------------------------------------------------------------------- */

.grid-container {
  max-width: var(--layout-max-width);
}

.one-container .site-content {
  padding: 60px var(--layout-x-padding);
}

/* blocks
---------------------------------------------------------------------------------------------------- */

/* button link block
--------------------------------------------- */

.grid-container .wp-block-button__link {
  background-color: var(--brand-color);
  border-radius: 8px;
  color: #fff;
  font-weight: var(--fw-medium);
  padding: 17px 20px;
  line-height: 1;
  margin: var(--space-s) 0;
}

/* Disabled Button */

button:disabled {
  pointer-events: none;
}

/* ATF section
--------------------------------------------- */
.atf-section>.wp-block-group__inner-container {
  display: flex;
  flex-direction: column;
  gap: var(--space-m);
}

/* site header
---------------------------------------------------------------------------------------------------- */

.site-header {
  display: flex;
  flex-direction: column;
  gap: var(--space-xs);
  border-bottom: 1px solid var(--border-color);
  max-width: var(--layout-max-width);
  width: auto;
  margin-left: auto;
  margin-right: auto;
  padding: 15px var(--layout-x-padding) var(--space-xs) var(--layout-x-padding);
  position: relative;
}

/* title area
--------------------------------------------- */

.site-header .site-title {
  font-size: 22px;
  margin-bottom: 0;
  font-weight: 400;
  letter-spacing: 0.05em;
}

/* site navigation
--------------------------------------------- */

.site-header .site-title a {
  color: var(--header-text-color);
}

.nav-primary ul {
  display: flex;
  gap: var(--space-base);
}

.nav-primary ul a {
  font-size: 16px;
  color: var(--header-text-color);
}

/* search styles
---------------------------------------------------------------------------------------------------- */

/* search icon
--------------------------------------------- */

.search a svg {
  height: 20px;
  width: 20px;
  color: var(--body-text-color);
}

.site-header .search {
  display: none;
  right: var(--layout-x-padding);
  top: 17px;
  position: absolute;
  cursor: pointer;
}

/* search form
--------------------------------------------- */

.search-container {
  max-width: var(--layout-max-width);
  width: auto;
  margin-left: auto;
  margin-right: auto;
  padding: 60px var(--layout-x-padding) 0 var(--layout-x-padding);
}

.search-container .search-form-label {
  display: none;
}

.search-container .search-form-input {
  width: 100%;
  background-color: var(--bg-gray-color);
  color: var(--body-text-color);
  font-size: inherit;
  font-family: inherit;
  border: 2px solid var(--border-color);
  border-radius: 8px;
  padding: 8px 12px;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

.search-container .search-form-input:focus {
  border-color: var(--brand-color);
  outline: none;
}


/* Content Area
---------------------------------------------------------------------------------------------------- */

/* Entry Content nan list = not a normal list like cause list, icon list, etc
--------------------------------------------- */

.entry-content ol {
  margin-bottom: var(--space-base);
  margin-left: 25px;
}

.entry-content ul {
  margin: 0 0 var(--space-base) 0;
}

.entry-content ul {
  padding-left: calc(0.4em + .7vw);
}

.entry-content ol:not(.nan-list)>li {
  list-style-type: decimal;
  margin-bottom: var(--space-s);
}

.pk-section ol:last-child,
.pk-section ul:last-child {
  margin: 0;
}

.entry-content ul>li {
  list-style-type: none;
  margin-bottom: var(--space-s);
  padding-left: 1.2em;
  position: relative;
}

.entry-content ol>li:last-of-type,
.entry-content ul>li:last-of-type {
  margin-bottom: 0;
}

ul.wide>li {
  margin-bottom: var(--space-base);
}

.entry-content ul:not(.nan-list)>li::before {
  background-color: var(--brand-color);
  border-radius: 50%;
  content: '';
  height: 9px;
  position: absolute;
  top: 9px;
  left: 0;
  width: 9px;
}

@media only screen and (min-width: 992px) {
  .entry-content ul:not(.nan-list)>li::before {
    top: 10px;
  }
}

/* site footer
---------------------------------------------------------------------------------------------------- */

.site-footer footer {
  border-top: 1px solid var(--border-color);
  color: #505050;
  font-size: var(--fs-secondary);
  margin-left: auto;
  margin-right: auto;
  max-width: var(--layout-max-width);
  padding: 40px var(--layout-x-padding) 120px var(--layout-x-padding);
  width: auto;
}

.site-footer footer>.wp-block-group__inner-container {
  display: flex;
  flex-direction: column;
  gap: var(--space-base);
}

.site-footer footer .main-list>div {
  display: flex;
  flex-direction: column;
}

.site-footer a {
  color: #505050;
}

.site-footer .disclaimer,
.site-footer .contact {
  display: none;
}

.page-id-21153 .site-footer .disclaimer,
.page-id-21153 .site-footer .contact {
  display: block;
}

.site-footer .disclaimer {
  font-size: 11px;
}

.site-footer .tagline {
  color: var(--body-text-color);
}

/* content area templates
---------------------------------------------------------------------------------------------------- */

/* archives view
--------------------------------------------- */

.blog .post,
.category .post,
.search .post {
  border-bottom: 1px solid var(--border-color);
  margin-bottom: var(--space-xl);
  padding-bottom: var(--space-xl) !important;
}

.blog .post h2 {
  margin-top: 0;
}

.blog .entry-title,
.category .entry-title,
.search .entry-title {
  font-size: var(--fs-2);
  font-weight: var(--fw-normal);
}

.blog .entry-title a,
.category .entry-title a,
.search .entry-title a {
  color: var(--header-text-color);
}

.blog .entry-summary,
.category .entry-summary,
.search .entry-summary {
  display: none;
}

.blog .entry-meta,
.category .entry-meta,
.search .entry-meta {
  margin-top: 1em;
}

.blog .entry-meta .cat-links,
.category .entry-meta .cat-links,
.search .entry-meta .cat-links {
  font-size: var(--fs-secondary);
  color: var(--body-text-color);
}

.blog .entry-meta .cat-links a,
.category .entry-meta .cat-links a,
.search .entry-meta .cat-links a {
  color: var(--body-text-color);
}

.search .page-title,
.category .page-title {
  padding-bottom: var(--space-m);
  font-size: var(--fs-primary);
  font-weight: var(--fw-body);
  color: var(--body-text-color);
}

/* searchs view
--------------------------------------------- */

.search-results .page-header>.page-title {
  position: relative;
}

.search-results .page-title::after {
  background-color: var(--brand-color);
  border-radius: 3px;
  box-shadow: 0 2px 50px rgba(0, 0, 0, 0.1);
  content: '';
  display: block;
  height: 5px;
  margin-top: var(--space-base);
  position: absolute;
  left: 0;
  width: 50px;
}

@media only screen and (min-width: 992px) {
  .search-results .page-title::after {
    width: 110px;
  }
}

/* error404 view
--------------------------------------------- */

/* Classes
---------------------------------------------------------------------------------------------------- */

/* Flex
--------------------------------------------- */

.flex {
  display: flex;
}

.flex-col {
  flex-direction: column;
}

.flex-row {
  flex-direction: row;
}

.gap-base {
  gap: var(--space-base);
}

.gap-s {
  gap: var(--space-s);
}

.gap-2xs {
  gap: var(--space-2xs);
}

.gap-m {
  gap: var(--space-m);
}

/* Margin
--------------------------------------------- */

.mb-0 {
  margin-bottom: 0;
}

.mb-s {
  margin-bottom: var(--space-s);
}

.mb-base {
  margin-bottom: var(--space-base);
}

.mb-m {
  margin-bottom: var(--space-m);
}

.mb-l {
  margin-bottom: var(--space-l);
}

.mb-2xl {
  margin-bottom: var(--space-2xl);
}

/* cards
---------------------------------------------------------------------------------------------------- */

/* dino list
--------------------------------------------- */

.dino-list>.wp-block-group__inner-container {
  box-shadow: 3px 4px 0 var(--brand-color);
  border: 2px solid var(--brand-color);
  border-radius: 25px;
  padding: 80px clamp(1rem, 6cqi, 2.5rem);
}

.single-post .dino-list>.wp-block-group__inner-container {
  margin-bottom: var(--space-2xl);
  margin-top: var(--space-l);
}
